Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbulkmail/admin/maillist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: maillist.php 6209 2001-07-19 12:36:31Z jakobn $
5 //
6 // Created on: <18-Apr-2001 10:26:26 fh>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezbulkmail/classes/ezbulkmail.php" );
28 // include_once( "ezbulkmail/classes/ezbulkmailcategory.php" );
29 // include_once( "ezuser/classes/ezuser.php" );
30 // include_once( "classes/ezhttptool.php" );
31 // include_once( "classes/eztemplate.php" );
32 // include_once( "classes/INIFile.php" );
33
34 if( isset( $New ) )
35 {
36 eZHTTPTool::header( "Location: /bulkmail/mailedit/" );
37 exit();
38 }
39
40 if( isset( $Delete ) )
41 {
42 foreach( $MailArrayID as $mailID )
43 eZBulkMail::delete( $mailID );
44 }
45
46 $t = new eZTemplate( "kernel/ezbulkmail/admin/" . $ini->variable( "eZBulkMailMain", "AdminTemplateDir" ),
47 "kernel/ezbulkmail/admin/intl", $Language, "maillist.php" );
48
49 $t->set_file( array(
50 "bulkmail_list_tpl" => "maillist.tpl"
51 ) );
52
53 $t->setAllStrings();
54 $t->set_var( "site_style", $SiteDesign );
55
56 $t->set_block( "bulkmail_list_tpl", "bulkmail_tpl", "bulkmail" );
57 $t->set_block( "bulkmail_tpl", "bulkmail_item_tpl", "bulkmail_item" );
58 $t->set_var( "bulkmail", "" );
59
61 $mail = eZBulkMail::getAll( true );
62 $i = 0;
63 foreach( $mail as $mailItem )
64 {
65 $t->set_var( "bulkmail_subject", $mailItem->subject() );
66 $categories = $mailItem->categories();
67 if( count( $categories ) > 0 )
68 {
69 $t->set_var( "bulkmail_category", $categories[0]->name() );
70 }
71
72 $t->set_var( "bulkmail_id", $mailItem->id() );
73 ( $i % 2 ) ? $t->set_var( "td_class", "bgdark" ) : $t->set_var( "td_class", "bglight" );
74
75 $t->parse( "bulkmail_item", "bulkmail_item_tpl", true );
76 $i++;
77 }
78 if( $i > 0 )
79 $t->parse( "bulkmail", "bulkmail_tpl" );
80
81 $t->pparse( "output", "bulkmail_list_tpl" );
82
83 ?>
eZBulkMail\delete
delete( $id=-1)
Definition: ezbulkmail.php:122
eZBulkMail\getAll
static getAll( $draftsOnly=false)
Definition: ezbulkmail.php:179
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: classes/admin/linklist.php:65
$ini
$ini
Definition: classes/admin/linklist.php:64
$categories
$categories
Definition: ezarticle/admin/categoryedit.php:636
$t
if(isset( $New)) if(isset( $Delete)) $t
Definition: ezbulkmail/admin/maillist.php:46
$i
$i
Definition: ezbulkmail/admin/maillist.php:62
$mail
$mail
Definition: ezbulkmail/admin/maillist.php:61
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.